Skip to main content
GET
/
api
/
v1
/
user-extractions
List User Extractions
curl --request GET \
  --url https://api.example.com/api/v1/user-extractions/ \
  --header 'Authorization: Bearer <token>'
{
  "extractions": [
    {
      "id": "<string>",
      "user_id": "<string>",
      "filename": "<string>",
      "title": "<string>",
      "source": "<string>",
      "record_count": 123,
      "file_size": 123,
      "is_excel": true,
      "created_at": "2023-11-07T05:31:56Z",
      "extraction_date": {}
    }
  ],
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.bavlio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:50
offset
integer
default:0
source
string | null

Response

Successful Response

Response model for listing user extractions.

extractions
UserExtraction · object[]
required

List of available extractions

total_count
integer
required

Total number of extractions for the user